package com.supervision.service;

import com.supervision.model.ConfigPhysicalLocation;
import com.supervision.model.ConfigPhysicalTool;
import com.supervision.model.DiagnosisPhysicalRecord;
import com.supervision.pojo.vo.AskPhysicalResultReqVO;
import com.supervision.pojo.vo.ConfigPhysicalToolResVO;
import com.supervision.vo.ask.AskPhysicalHistoryResVO;

import java.util.List;
import java.util.Map;

public interface AskPhysicalService {

    List<ConfigPhysicalToolResVO> queryPhysicalToolList();


    DiagnosisPhysicalRecord queryAskPhysicalResult(AskPhysicalResultReqVO reqVO);

    List<AskPhysicalHistoryResVO> queryAskPhysicalHistory(String processId);
}
